/*
 * Copyright © 2008 Étienne Bersac <bersace03@gmail.com>
 * 
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of version 2 of the GNU General Public License as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02110 USA
 *
 */


#ifndef _SCANNER_H_
#define	_SCANNER_H_

#include <stdlib.h>
#include <glib.h>
#include <hal/libhal.h>
#include <dbus/dbus-glib-lowlevel.h>
#include <sane/sane.h>

G_BEGIN_DECLS

typedef struct _Scanner Scanner;
struct _Scanner
{
	LibHalContext	*hal;
	const gchar	*udi;
	gchar		*name;
	SANE_Handle	handle;
	gboolean	opened;
	GSList		*options;
};

Scanner*	scanner_new		(LibHalContext *hal,
					 const gchar *udi);
gboolean	scanner_open		(Scanner *scanner);
gboolean	scanner_close		(Scanner *scanner);
gboolean	scanner_poll		(Scanner *scanner);
gpointer	scanner_destroy		(Scanner *self);

G_END_DECLS

#endif
